package dev.peerat.mapping.providers.mysql;

import java.util.ArrayList;
import java.util.List;

import dev.peerat.mapping.providers.Provider;
import dev.peerat.mapping.providers.ProviderManager;
import dev.peerat.parser.java.Class;
import dev.peerat.parser.java.Function;
import dev.peerat.parser.java.Value;
import dev.peerat.parser.java.operation.ReturnOperation;

public class MySQlProvider implements Provider{
	
	static{
		ProviderManager.getInstance().register("mysql", new MySQlProvider());
	}
	
	private List<String> treasures;
	
	private MySQlProvider(){
		this.treasures = new ArrayList<>();
	}

	@Override
	public void mapTreasure(Class clazz){
		treasures.add(clazz.getName().getValue());
	}

	@Override
	public void mapBottle(Class clazz, Function function){
		ReturnOperation operation = (ReturnOperation) function.getElements().get(0);
		Value value = operation.getValue();
		
	}

	@Override
	public void mapUses(Class clazz, Function function){
		
	}

}
